# -*- mode: dockerfile -*-
FROM node:lts-alpine as builder

# some js pkgs are taken from gitlab:
RUN apk add --no-cache git

ENV NODE_ENV production
WORKDIR /home/node/app
COPY package.json .

# ignore NODE_ENV and install ALL deps (including dev):
RUN yarn --production=false

COPY . .

# RUN yarn --production && yarn build:pashinin && yarn cache clean
RUN yarn build && yarn build:ssr && yarn cache clean


# FROM node:lts-alpine
# COPY --from=builder /home/node/app/dist /app
# COPY --from=builder /home/node/app/src/server.js /app/
EXPOSE 8080
CMD [ "node", "src/server.js" ]
